image: python:3.8-buster

before_script:
  - pip3 install -q poetry
  - mkdir -p ~/.ssh
  - echo "${MATERIAL_INSIDERS_SSH_PRIVATE_KEY}" > ~/.ssh/id_ed25519
  - chmod 0600 ~/.ssh/id_ed25519
  - poetry config virtualenvs.create false
  - poetry install

pages:
  script:
  - poetry run mkdocs build
  - mv site public
  - wget https://gitlab.com/lunni/lunni/-/raw/master/setup.sh -Opublic/setup.sh
  artifacts:
    paths:
    - public
  only:
  - master
